std::__future_base::_Result_base(3cxx)

NAME
std::__future_base::_Result_base - Base class for results.

SYNOPSIS

#include <future>

Inherited by std::__future_base::_Result< _Res >, std::__future_base::_Result< _Res & >, and std::__future_base::_Result< void >.

  Public Member Functions

_Result_base (const _Result_base &)=delete
virtual void _M_destroy ()=0
_Result_base & operator= (const _Result_base &)=delete

  Public Attributes

exception_ptr _M_error

Detailed Description

Base class for results.

Author

Generated automatically by Doxygen for libstdc++ from the source code.